### Function

# ICalGLib Duration extend

since: 4.0

#### Declaration [src]

    ICalTime*
    i_cal_duration_extend (
      ICalTime* t,
      ICalDuration* d
    )

#### Description [src]

Extends a time duration.

Available since: 4.0

#### Parameters

`t`

  Type: `ICalTime`

  A `ICalTime` to be operated on.

  The data is owned by the caller of the function.

`d`

  Type: `ICalDuration`

  A `ICalDuration` as the difference.

  The data is owned by the caller of the function.

#### Return value

Type: `ICalTime`

The `ICalTime` results. The native object is the same. But since it is a bare object, so it won’t cause segmentation.

The caller of the function takes ownership of the data, and is responsible for freeing it.